> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve traffic quota



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /traffic/quota
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /traffic/quota:
    get:
      tags:
        - Traffic
      summary: Retrieve traffic quota
      operationId: get-traffic-quota
      parameters:
        - name: filter[project]
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      id: traffic_quota
                      type: traffic_quota
                      attributes:
                        quota_per_project:
                          - project_id: proj_lkg1DekRdvZE5
                            project_slug: incredible-bronze-knife
                            billing_method: Normal
                            quota_per_region:
                              - region_id: reg_9QDB5qag
                                price: 500
                                region_slug: brazil
                                quota_in_tb:
                                  granted: 20
                                  additional: 0
                                  total: 20
                                quota_in_mbps:
                                  granted: 0
                                  additional: 0
                                  total: 0
                    meta: {}
              schema:
                $ref: '#/components/schemas/traffic_quota'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.traffic.get_quota()

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Traffic.GetQuota(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.TrafficQuota != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.traffic.getQuota();

              console.log(result);
            }

            run();
components:
  schemas:
    traffic_quota:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            type:
              type: string
              enum:
                - traffic_quota
            attributes:
              type: object
              properties:
                quota_per_project:
                  type: array
                  items:
                    type: object
                    properties:
                      project_id:
                        type: string
                      project_slug:
                        type: string
                      price:
                        type: integer
                        nullable: true
                      billing_method:
                        type: string
                      quota_per_region:
                        type: array
                        items:
                          type: object
                          properties:
                            region_id:
                              type: string
                            region_slug:
                              type: string
                            quota_in_tb:
                              type: object
                              properties:
                                granted:
                                  type: integer
                                additional:
                                  type: integer
                                total:
                                  type: integer
                            quota_in_mbps:
                              type: object
                              properties:
                                granted:
                                  type: integer
                                additional:
                                  type: integer
                                total:
                                  type: integer
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````